Summary:	OO interface for spell-checking a block of text 
Name:		perl-Text-SpellChecker
Version:	0.11
Release:	3%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Text-SpellChecker/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BD/BDUGGAN/Text-SpellChecker-%{version}.tar.gz
Patch0:		Text-SpellChecker-0.11-dictpath.patch
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Text::Hunspell)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	hunspell-en
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Text::Hunspell)

%description
This module is a thin layer above Text::Hunspell and allows one to spellcheck
a body of text. Whereas Text::Hunspell deals with words, Text::Spellchecker
deals with blocks of text. For instance, we provide methods for iterating
through the text, serializing the object (thus remembering where we left off),
and highlighting the current misspelled word within the text.

%prep
%setup -q -n Text-SpellChecker-%{version}

# Fedora hunspell dictionaries are in /usr/share/myspell rather than /usr/share/hunspell
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
# Note that Text::Aspell is retired from Fedora after Fedora 15
# so we don't try the Aspell tests
make test TEST_VERBOSE=1

%files
%doc Changes README
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::SpellChecker.3pm*

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 25 2011 Paul Howarth <paul@city-fan.org> - 0.11-2
- Perl mass rebuild

* Sat Jun 25 2011 Paul Howarth <paul@city-fan.org> - 0.11-1
- Update to 0.11
  - POD fixes and POD test
- Re-diff dictionary path patch
- BR: perl(Test::Pod)

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 0.09-2
- Perl mass rebuild

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 0.09-1
- Update to 0.09
  - Better tests, use of LANG
  - Compile time check for at least one speller
- Update dictionary path patch
- Drop test suite patch, no longer needed
- Nobody else likes macros for commands
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Drop buildroot definition and cleaning
- Drop redundant defattr

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.08-3
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 20 2010 Paul Howarth <paul@city-fan.org> - 0.08-1
- Update to 0.08 (test suite doesn't fail in absence of Text::Aspell)
- Update testsuite patch

* Fri Sep 17 2010 Paul Howarth <paul@city-fan.org> - 0.07-1
- Update to 0.07 (use hunspell backend rather than aspell)
- Add patch for Fedora dictionary locations
- Add patch to remove dependency of Text::Aspell in test suite
- Buildreq Text::Hunspell rather than Text::Aspell
- Add buildreq hunspell-en
- Add manual dependency on perl(Text::Hunspell)
- Run test suite in verbose mode

* Wed Sep 15 2010 Paul Howarth <paul@city-fan.org> - 0.06-1
- Update to 0.06 (made deserialization accept non-blessed refs)

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.05-5
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.05-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Paul Howarth <paul@city-fan.org> 0.05-1
- Update to 0.05

* Mon Dec 15 2008 Paul Howarth <paul@city-fan.org> 0.04-1
- Update to 0.04

* Tue Oct  7 2008 Paul Howarth <paul@city-fan.org> 0.03-1
- Initial RPM version
